/*
 BluetoothProcessing is a program able to communicate with an Arduino board
 over a Bluetooth link.
 
 It displays a square.
 If you click inside, it sends the character '1' and if you release the mouse button, it fires
 the character '0'.
 
 Written by Julien Bayle, this example code is under Creative Commons CC-BY-SA
 
 This code is related to the book "C programming for Arduino" written by Julien Bayle
 and published by Packt Publishing.
 
 http://cprogrammingforarduino.com
 
 */

import processing.serial.*;
Serial port;

int bgcolor, fgcolor;

void setup() {
  size(700, 700);
  background(0);
  stroke(255);
  bgcolor = 0;
  fgcolor = 255;
  
  println(Serial.list()); 
  port = new Serial(this, Serial.list()[2], 9600);
 
}
void draw() {
  background(bgcolor);
  stroke(fgcolor);
  fill(fgcolor);
  rect(100, 100, 500, 500);
}

void mousePressed() {
  if (mouseX > 100 && mouseX < 600 && mouseY > 100 && mouseY < 600)
  {
      bgcolor = 255;
      fgcolor = 0;

      port.write('1');
  }
}

void mouseReleased() {
 
      bgcolor = 0;
      fgcolor = 255;

      port.write('0');
}

