const float DEG2RAD = 180 / PI ;
float cosLUT[(int) (360.0 * 1 / 0.5)] ;

const float cosinePrecision = 0.5;
const int cosinePeriod = (int) (360.0 * 1 / cosinePrecision);


void setup()
{
  initCosineLUT();
}

void loop()
{
  myFastCosine(50.3); // calculates the cosine of 50.3 degrees faster than cos() call
}


void initCosineLUT(){  
  for (int i = 0 ; i < cosinePeriod ; i++)
  {
    cosLUT[i] = (float) cos(i * DEG2RAD * cosinePrecision);
  }
}

float myFastCosine(float angle){
  
   return cosLUT[(int) (angle * 1 / cosinePrecision) % cosinePeriod];
}
