/*
 ReadAll is a program able to read all inputs of the Arduino
 to pack them and to send them to the serial port for further processing.
 
 This is an helper firmware. It means you'll probably have to adapt it to fit your needs.
 Perhaps, you need to read less inputs and include some other triggers.
 
 Inspired by the old Arduino2Max ideas.
 Written by Julien Bayle, this example code is under Creative Commons CC-BY-SA
 
 This code is related to the book "C programming for Arduino" written by Julien Bayle
 and published by Packt Publishing.
 
 http://cprogrammingforarduino.com
 
 */

int val = 0;

void setup()
{
  Serial.begin(9600);
}

void loop()
{ 
  // Check serial buffer for characters incoming
  if (Serial.available() > 0){         

    // If an 'r' is received then read all the pins
    if (Serial.read() == 'r') {       

      // Read and send analog pins 0-5 values
      for (int pin= 0; pin<=5; pin++){      
        val = analogRead(pin);
        sendValue (val);
      }

      // Read and send digital pins 2-13 values
      for (int pin= 2; pin<=7; pin++){     
        val = digitalRead(pin);
        sendValue (val);
      }

      Serial.println();                 // Send a carriage return to mark end of data flow. 
      delay (5);                        // prevent crash

    }

  }
}

void sendValue (int val){
  Serial.print(val);
  Serial.write(32);  // add a space character after each value sent
}
