/*
  distanceSensing is able to read the voltage coming from the infrared SHARP GP2Y0A02YK
 long-range sensor.
 
 It includes the magic formula to convert the read voltage into a distance in centimeters and 
 fires this latter to the serial output for further purpose.
 
 Written by Julien Bayle, this example code is under Creative Commons CC-BY-SA
 
 This code is related to the book "C programming for Arduino" written by Julien Bayle
 and published by Packt Publishing.
 
 http://cprogrammingforarduino.com
 
 */

int sensorPin = 0;            // pin number where the SHARP GP2Y0A02YK is connected
int sensorValue = 0 ;         // variable storing the voltage value measured at the sensor pin as a value from 0 to 1023
int distanceCalculated = 0;   // variable storing the distance calculated from the measured voltage
int v = 0;    // variable storing the calculated voltage

// our formula's constants
const int a = 0.008271;
const int b = 939.65;
const int c = -3.398;
const int d = 17.339;

void setup() {
  Serial.begin(9600);
}

void loop(){
  sensorValue = analogRead(sensorPin); // read and store the read value at potPin pin
  v = 5. * (sensorValue / 1023.) ;     // calculate the voltage 
  distanceCalculated = ((a + b * v) / (1. + c * v + d * v * v) ); // calculate the distance 
  Serial.println(distanceCalculated);
 
  delay(200);    // this small break wait for the ADC to stabilize is often used
}
