/*
  maxController is a program making the Arduino a Max6 patch controller.
 
 It can be used basically as a base of a software controller and initially implements
 a one and only potentiometer handling.
 This code writes the analog value read to the serial output. It is an integer from 0 to 1023.
 
 Written by Julien Bayle, this example code is under Creative Commons CC-BY-SA
 
 This code is related to the book "C programming for Arduino" written by Julien Bayle
 and published by Packt Publishing.
 
 http://cprogrammingforarduino.com
 
 */

int potPin = 0;     // pin number where the potentiometer is connected
int potValue = 0 ;  // variable storing the voltage value measured at potPin pin

void setup() {
  Serial.begin(9600);
}

void loop(){
  potValue = analogRead(potPin); // read and store the read value at potPin pin
  Serial.println(potValue); // write the voltage value an a carriage return
  
  delay(2);    // this small break wait for the ADC to stabilize is often used
}

