/*
  niceVoltmeter is a program demonstrating how we can use the Arduino as a voltmeter.
 A voltmeter needs to be plugged at two different points of a circuit in order to 
 measure the voltage between these two points.
 Here, please consider to use this by supplying the circuit segment with the same voltage as the
 Arduino board which is Vcc = +5V.
 
 This code also writes to the serial output.
 
 Written by Julien Bayle, this example code is under Creative Commons CC-BY-SA
 
 This code is related to the book "C programming for Arduino" written by Julien Bayle
 and published by Packt Publishing.
 
 http://cprogrammingforarduino.com
 
 */

int potPin = 0;     // pin number where the potentiometer is connected
int ledPin = 13 ;   // pin number of the on-board LED
int potValue = 0 ;  // variable storing the voltage value measured at potPin pin
float voltageValue = 0. ;  // variable storing the voltage calculated

void setup() {
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);  // define ledPin pin as an output
}

void loop(){
  potValue = analogRead(potPin); // read and store the read value at potPin pin

  digitalWrite(ledPin, HIGH);    // turn on the LED
  delay(potValue);               // pause the program during potValue millisecond
  digitalWrite(ledPin, LOW);     // turn off the LED
  delay(potValue);               // pause the program during potValue millisecond

  voltageValue = 5. * (potValue / 1023.) ;  // calculate the voltage 

  Serial.println(potValue); // write the voltage value an a carriage return
}
