#include <SimpleTimer.h>

/*
  simpleTimerBlinker is a small program making the board led blinking using the Marcello Romani’s library Simpler Timer
  to the serial monitor each 250ms in order not to be too verbose.
 
  Written by Julien Bayle, this example code is under Creative Commons CC-BY-SA
  The SimpleTimer library is provided by Marcello Romani (mromani@ottotecnica.com) under the license GNU LGPL 2.1+
  and is downloadable here: XXXXXXXXXXXX
 
  This code is related to the book "C programming for Arduino" written by Julien Bayle
  and published by Packt Publishing.
 
 
  http://cprogrammingforarduino.com
 */


#include <SimpleTimer.h>	// include the Marcello’s library

SimpleTimer timer ;		// the timer object construction
boolean currentLEDState ;
int ledPin = 13 ;


void setup() {
currentLEDState = false ;
pinMode(ledPin, OUTPUT) ;
timer.setInterval(120, blink) ;

}

void loop() {
timer.run() ;
}

// a function to be executed periodically
void blink() {
  if (!currentLEDState)	digitalWrite(ledPin, HIGH);
  else digitalWrite(ledPin, LOW);
  currentLEDState = !currentLEDState ;
}

